unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, DBTables, ExtCtrls, Grids, DBGrids, Menus, DBCtrls, Mask, Db,
  RefInt;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Quit1: TMenuItem;
    Panel4: TPanel;
    Splitter2: TSplitter;
    Panel3: TPanel;
    Splitter1: TSplitter;
    DBGTables: TDBGrid;
    DBGFields: TDBGrid;
    Panel5: TPanel;
    Label1: TLabel;
    CBDatabases: TComboBox;
    DBGParentTables: TDBGrid;
    Splitter3: TSplitter;
    Integrity1: TMenuItem;
    Clearall1: TMenuItem;
    Setall1: TMenuItem;
    Register1: TMenuItem;
    DBGParentFields: TDBGrid;
    RefInt1: TRefInt;
    procedure FormCreate(Sender: TObject);
    procedure CBDatabasesChange(Sender: TObject);
    procedure Splitter1Moved(Sender: TObject);
    procedure Splitter3Moved(Sender: TObject);
    procedure Clearall1Click(Sender: TObject);
    procedure Setall1Click(Sender: TObject);
    procedure Register1Click(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure Quit1Click(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Session.getDatabaseNames(CBDatabases.items);
  if RefInt1.Active then
    CBDatabases.ItemIndex:=CBDatabases.Items.IndexOf(RefInt1.AliasName);
end;

procedure TForm1.CBDatabasesChange(Sender: TObject);
begin
  RefInt1.AliasName:=(Sender as TComboBox).text;
  RefInt1.Active:=true;
end;

procedure TForm1.Splitter1Moved(Sender: TObject);
begin
  DBGParentTables.Width:=DBGTables.Width;
end;

procedure TForm1.Splitter3Moved(Sender: TObject);
begin
  DBGTables.Width:=DBGParentTables.Width;
end;

procedure TForm1.Clearall1Click(Sender: TObject);
begin
  RefInt1.ClearAll;
end;

procedure TForm1.Setall1Click(Sender: TObject);
begin
  if RefInt1.Changed then
    RefInt1.SetAll
  else
    ShowMessage('Nothing to do !');
end;

procedure TForm1.Register1Click(Sender: TObject);
begin
  RefInt1.Registration;
end;

procedure TForm1.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
  if RefInt1.Changed then
  if messageDlg('Do you want to save your changes on database '+RefInt1.AliasName+' before closing ?',mtConfirmation,[mbYes,mbNo],0)=mrYes then
    RefInt1.SetAll;
end;

procedure TForm1.Quit1Click(Sender: TObject);
begin
  close;
end;

end.
